Package org.gradle.api.artifacts.transform

## Interface ArtifactTransformSpec<T>

- Type Parameters:
    `T` - The transform specific configuration type.
  All Superinterfaces:
    `ActionConfiguration`

      @Incubating
      public interface ArtifactTransformSpec<T>
      extends ActionConfiguration

  Defines an artifact transformation.
  Since:
    5.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `configuration​(Action<? super T> action)` |
    `Class<? extends ArtifactTransform>` | `getActionClass()` | Returns the `ArtifactTransform` implementation to use for this transform.
    `T` | `getConfiguration()` |
    `AttributeContainer` | `getFrom()` | Attributes that match the variant that is consumed.
    `AttributeContainer` | `getTo()` | Attributes that match the variant that is produced.
    `void` | `setActionClass​(Class<? extends ArtifactTransform> implementationClass)` |

    - ### Methods inherited from interface org.gradle.api.ActionConfiguration

      `getParams, params, setParams`

- - ### Method Detail

    - #### getFrom

          AttributeContainer getFrom()

      Attributes that match the variant that is consumed.

    - #### getTo

          AttributeContainer getTo()

      Attributes that match the variant that is produced.

    - #### getConfiguration

          T getConfiguration()

    - #### configuration

          void configuration​(Action<? super T> action)

    - #### getActionClass

          Class<? extends ArtifactTransform> getActionClass()

      Returns the `ArtifactTransform` implementation to use for this transform. Defaults to the value specified by the `TransformAction` annotation attached to the configuration object.

    - #### setActionClass

          void setActionClass​(Class<? extends ArtifactTransform> implementationClass)